petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetRedundantDM

Get a copy of the DMPlex that is completely copied on each process.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetRedundantDM(DM dm, DM *redundantMesh)

Collective on DM

### Input Parameters

dm -the original DMPlex object

### Output Parameters

redundantMesh -the redundant DM object, or NULL

### Keywords

mesh

### See Also

DMPlexDistribute(), DMPlexGetGatherDM()

### Level

intermediate

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages